class AvatarGroup extends egret.Sprite {

  public constructor(userDatas) {
    super()
    this.init(userDatas)
  }

  private init(userDatas) {
      userDatas.forEach((userData, index) => {
          let avatar = new Avatar(userData)
          avatar.x = index * 100
          this.addChild(avatar)
      })
  }
}